class_name Balle
extends CharacterBody2D


@export var mouvement_initial: Vector2 = Vector2(0.0, 600.0)

var _mouvement: Vector2


func _ready() -> void:
	_mouvement = mouvement_initial


func _physics_process(delta: float):
	var impact: KinematicCollision2D = move_and_collide(_mouvement * delta)
	if impact != null:
		_rebondir(impact)


func _rebondir(impact: KinematicCollision2D) -> void:
	_mouvement = _mouvement.bounce(impact.get_normal())
